package tech.nevets.vplus.items;

import net.fabricmc.fabric.api.client.itemgroup.FabricItemGroupBuilder;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;
import tech.nevets.vplus.blocks.VPBlocks;

public class VPItemGroups {

    public static final ItemGroup BLOCKS;
    public static final ItemGroup ITEMS;
    public static final ItemGroup COMBAT;
    public static final ItemGroup TOOLS;
    public static final ItemGroup FOOD;

    public VPItemGroups() {
    }

    static {
        BLOCKS = FabricItemGroupBuilder.build(newId("blocksplus"), () -> new ItemStack(VPBlocks.RUBY_BLOCK));
        ITEMS = FabricItemGroupBuilder.build(newId("itemsplus"), () -> new ItemStack(VPItems.SAPPHIRE));
        COMBAT = FabricItemGroupBuilder.build(newId("combatplus"), () -> new ItemStack(Items.DIAMOND_SWORD)); //TODO Fix this when I add back all items
        TOOLS = FabricItemGroupBuilder.build(newId("toolsplus"), () -> new ItemStack(Items.DIAMOND_PICKAXE)); //TODO Fix this when I add back all items
        FOOD = FabricItemGroupBuilder.build(newId("foodplus"), () -> new ItemStack(Items.GOLDEN_APPLE)); //TODO Fix this when I add back all items
    }

    private static Identifier newId(String id) {
        return new Identifier("vplus", id);
    }

    public static void init() {}
}
